Debian Bug report logs - #638263
shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported

version graph

Package: passwd; Maintainer for passwd is Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>; Source for passwd is src:shadow.

Reported by: "Thomas Bushnell, BSG" <tb@becket.net>

Date: Thu, 18 Aug 2011 02:39:02 UTC

Severity: important

Merged with 669185

Found in versions shadow/1:4.1.4.2+svn3283-2+squeeze1, shadow/1:4.1.5-1

Fixed in version shadow/1:4.1.5.1-1

Done: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Thu, 18 Aug 2011 02:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Bushnell, BSG" <tb@becket.net>:
New Bug report received and forwarded. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Thu, 18 Aug 2011 02:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Thomas Bushnell, BSG" <tb@becket.net>
To: submit@bugs.debian.org
Subject: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Wed, 17 Aug 2011 19:37:47 -0700
[Message part 1 (text/plain, inline)]
Package: passwd
Version: 1:4.1.4.2+svn3283-2+squeeze1
Severity: important

/sbin/shadowconfig from the passwd package uses "pwck -p" and "grpck -p". On
some other systems, the -p flag to these programs says to silently fix
problems found in those files.

But the Debian versions do not actually do that. The Debian versions ignore
the -p option, and then go ahead and prompt for confirmation before making
changes.

This can be dangerous at install time. If the install image has problems in
the group or passwd files (for example, mention of an unknown user in the
group file), then when the install calles "shadowconfig on", it will try to
read from stdin and the install will hang.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Thu, 18 Aug 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Thu, 18 Aug 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 638263@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: "Thomas Bushnell, BSG" <tb@becket.net>, 638263@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#638263: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Thu, 18 Aug 2011 19:10:29 +0200
Hello,

On Wed, Aug 17, 2011 at 07:37:47PM -0700, tb@becket.net wrote:
> 
> /sbin/shadowconfig from the passwd package uses "pwck -p" and "grpck -p". On
> some other systems, the -p flag to these programs says to silently fix
> problems found in those files.


Can you point me where "pwck -p" is called?

> But the Debian versions do not actually do that. The Debian versions ignore
> the -p option, and then go ahead and prompt for confirmation before making
> changes.

The -p option does not exist for pwck. It should not ignore it, but
verbosely reject it.

Could you provide a /etc/group - /etc/gshadow configuration where grpck
ignores the -p option and prompt for confirmation?

Best Regards,
-- 
Nekral




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Tue, 06 Sep 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Bushnell, BSG" <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Tue, 06 Sep 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 638263@bugs.debian.org (full text, mbox):

From: "Thomas Bushnell, BSG" <tb@becket.net>
To: Nicolas François <nicolas.francois@centraliens.net>
Cc: 638263@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#638263: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Tue, 6 Sep 2011 15:36:59 -0700
[Message part 1 (text/plain, inline)]
On Thu, Aug 18, 2011 at 10:10 AM, Nicolas François <
nicolas.francois@centraliens.net> wrote:

> Hello,
>
> On Wed, Aug 17, 2011 at 07:37:47PM -0700, tb@becket.net wrote:
> >
> > /sbin/shadowconfig from the passwd package uses "pwck -p" and "grpck -p".
> On
> > some other systems, the -p flag to these programs says to silently fix
> > problems found in those files.
>
>
> Can you point me where "pwck -p" is called?
>

In /sbin/shadowconfig, in both the shadowon() and shadowoff() functions;
passwd package version 1:4.1.4.2+svn3283-2+squeeze1.


> > But the Debian versions do not actually do that. The Debian versions
> ignore
> > the -p option, and then go ahead and prompt for confirmation before
> making
> > changes.
>
> The -p option does not exist for pwck. It should not ignore it, but
> verbosely reject it.
>

I agree. And the shadowconfig program shouldn't call it. It also doesn't
exist for grpck.


> Could you provide a /etc/group - /etc/gshadow configuration where grpck
> ignores the -p option and prompt for confirmation?


# echo mumblefoo:x:5000:mumblemumble >> /etc/group
# grpck -p
group mumblefoo: no user mumblemumble
delete member 'mumblemumble'?

Thomas
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Fri, 09 Sep 2011 20:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Fri, 09 Sep 2011 20:54:07 GMT) Full text and rfc822 format available.

Message #20 received at 638263@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: tb@becket.net
Cc: 638263@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#638263: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Fri, 9 Sep 2011 22:48:16 +0200
Hello,

On Tue, Sep 06, 2011 at 03:36:59PM -0700, tb@becket.net wrote:
> On Thu, Aug 18, 2011 at 10:10 AM, Nicolas François <
> nicolas.francois@centraliens.net> wrote:
> > On Wed, Aug 17, 2011 at 07:37:47PM -0700, tb@becket.net wrote:
> > >
> > > /sbin/shadowconfig from the passwd package uses "pwck -p" and "grpck -p".
> > On
> > > some other systems, the -p flag to these programs says to silently fix
> > > problems found in those files.
> >
> > Can you point me where "pwck -p" is called?
> 
> In /sbin/shadowconfig, in both the shadowon() and shadowoff() functions;
> passwd package version 1:4.1.4.2+svn3283-2+squeeze1.

This uses pwck -q not pwck -p

> > Could you provide a /etc/group - /etc/gshadow configuration where grpck
> > ignores the -p option and prompt for confirmation?
> 
> # echo mumblefoo:x:5000:mumblemumble >> /etc/group
> # grpck -p
> group mumblefoo: no user mumblemumble
> delete member 'mumblemumble'?

Thanks.

I dig a bit regarding the -p option of grpck.
It was introduced to silently fix a bug in groupdel 10 years ago. I think
this Debian specific patch should be removed.
http://bugs.debian.org/103385

(Also, the patch is now buggy because it does not remove the invalid
lines. It just print Yes, and continue without prompting and removing the
line)

Do you have a description of what the -p option does (for grpck or pwck)
on other systems?
(It might have come from AIX)


Then the question is how shadowconfig should behave?
Currently, with pwck -q, the user is prompted in case of an error which
can be fixed easily interactively, but other errors are not displayed
(e.g. invalid home directory or primary group).
The goal is just to be a bit less verbose, especially because 

The -q option with the same behavior already exists for grpck. It does
nothing because for each error detected, there is a proposed solution
(e.g. delete an invalid line, remove an invalid user from the list of
members / admins)


If the intent is to show the errors without giving the opportunity to fix
the errors, the -r option should be used.

During installs, prompts on stdin are not allowed (debconf would have to
be used), so shadowconfig could be use:
pwck -q -r (to avoid too many warnings and to avoid prompting)
grpck -r   (to avoid prompting)

This behavior should not be the default behavior of shadowconfig, so
shadowconfig should also receive a --no-prompt option to activate the -r
option of the checkers.

Do you agree?

Best Regards
-- 
Nekral




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Wed, 14 Sep 2011 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Bushnell, BSG" <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Wed, 14 Sep 2011 16:54:06 GMT) Full text and rfc822 format available.

Message #25 received at 638263@bugs.debian.org (full text, mbox):

From: "Thomas Bushnell, BSG" <tb@becket.net>
To: Nicolas François <nicolas.francois@centraliens.net>
Cc: 638263@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#638263: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Wed, 14 Sep 2011 09:51:01 -0700
[Message part 1 (text/plain, inline)]
Sorry, I confused -p and -q!

In any case, since this is called at installs, *no *prompting is allowed,
and it totally breaks an install when it comes up.

The -p option "Fixes errors but does not report them." (
http://publib.boulder.ibm.com/infocenter/pseries/v5r3/index.jsp?topic=/com.ibm.aix.cmds/doc/aixcmds2/grpck.htm
).

I don't object to -q, but I don't see the point of calling it at all in that
case. ::shrug::

The important case is that the prompt go away in installs. That would need
to be fixed in user-setup-apply. (finish-install's postinst calls
06user-setup, which calls user-setup-apply, which calls shadowconfig, or
something like that.)

Thomas


On Fri, Sep 9, 2011 at 1:48 PM, Nicolas François <
nicolas.francois@centraliens.net> wrote:

> Hello,
>
> On Tue, Sep 06, 2011 at 03:36:59PM -0700, tb@becket.net wrote:
> > On Thu, Aug 18, 2011 at 10:10 AM, Nicolas François <
> > nicolas.francois@centraliens.net> wrote:
> > > On Wed, Aug 17, 2011 at 07:37:47PM -0700, tb@becket.net wrote:
> > > >
> > > > /sbin/shadowconfig from the passwd package uses "pwck -p" and "grpck
> -p".
> > > On
> > > > some other systems, the -p flag to these programs says to silently
> fix
> > > > problems found in those files.
> > >
> > > Can you point me where "pwck -p" is called?
> >
> > In /sbin/shadowconfig, in both the shadowon() and shadowoff() functions;
> > passwd package version 1:4.1.4.2+svn3283-2+squeeze1.
>
> This uses pwck -q not pwck -p
>
> > > Could you provide a /etc/group - /etc/gshadow configuration where grpck
> > > ignores the -p option and prompt for confirmation?
> >
> > # echo mumblefoo:x:5000:mumblemumble >> /etc/group
> > # grpck -p
> > group mumblefoo: no user mumblemumble
> > delete member 'mumblemumble'?
>
> Thanks.
>
> I dig a bit regarding the -p option of grpck.
> It was introduced to silently fix a bug in groupdel 10 years ago. I think
> this Debian specific patch should be removed.
> http://bugs.debian.org/103385
>
> (Also, the patch is now buggy because it does not remove the invalid
> lines. It just print Yes, and continue without prompting and removing the
> line)
>
> Do you have a description of what the -p option does (for grpck or pwck)
> on other systems?
> (It might have come from AIX)
>
>
> Then the question is how shadowconfig should behave?
> Currently, with pwck -q, the user is prompted in case of an error which
> can be fixed easily interactively, but other errors are not displayed
> (e.g. invalid home directory or primary group).
> The goal is just to be a bit less verbose, especially because
>
> The -q option with the same behavior already exists for grpck. It does
> nothing because for each error detected, there is a proposed solution
> (e.g. delete an invalid line, remove an invalid user from the list of
> members / admins)
>
>
> If the intent is to show the errors without giving the opportunity to fix
> the errors, the -r option should be used.
>
> During installs, prompts on stdin are not allowed (debconf would have to
> be used), so shadowconfig could be use:
> pwck -q -r (to avoid too many warnings and to avoid prompting)
> grpck -r   (to avoid prompting)
>
> This behavior should not be the default behavior of shadowconfig, so
> shadowconfig should also receive a --no-prompt option to activate the -r
> option of the checkers.
>
> Do you agree?
>
> Best Regards
> --
> Nekral
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, steven@nchc.org.tw, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Thu, 16 Feb 2012 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Shiau <steven@nchc.org.tw>:
Extra info received and forwarded to list. Copy sent to steven@nchc.org.tw, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Thu, 16 Feb 2012 07:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 638263@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Debian Bug Tracking System <638263@bugs.debian.org>
Subject: Re: shadowconfig uses "pwck -p" and "grpck -p" which aren't actually supported
Date: Thu, 16 Feb 2012 15:11:41 +0800
Package: passwd
Version: 1:4.1.5-1
Followup-For: Bug #638263

Dear Maintainer,
After upgrading to passwd 1:4.1.5-1, I found the same issue.
If I run "shadowconfig on", it shows me:
================================
debian-TU:~# shadowconfig on
Usage: grpck [options] [group [gshadow]]

Options:
  -h, --help                    display this help message and exit
  -r, --read-only               display errors and warnings
                                but do not change files
  -R, --root CHROOT_DIR         directory to chroot into
  -s, --sort                    sort entries by UID

Shadow passwords are now on.
================================

Could you please fix this?
Thanks.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages passwd depends on:
ii  debianutils     4.2.1
ii  libc6           2.13-26
ii  libpam-modules  1.1.3-7
ii  libpam0g        1.1.3-7
ii  libselinux1     2.1.0-4.1
ii  libsemanage1    2.1.0-2

passwd recommends no packages.

passwd suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Sun, 26 Feb 2012 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Wagner <j.b.w@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Sun, 26 Feb 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #35 received at 638263@bugs.debian.org (full text, mbox):

From: Jonas Wagner <j.b.w@gmx.ch>
To: 638263@bugs.debian.org
Subject: Affects debian live
Date: Sun, 26 Feb 2012 18:15:59 +0100
Hello,

this bug also affects debian live -- the usage message from grpck is 
shown during boot.

See 
http://documents.epfl.ch/users/j/jo/jowagner/www/grpck_screenshot.png 
for a screenshot.

Best,
Jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Thu, 29 Mar 2012 21:09:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Thu, 29 Mar 2012 21:09:32 GMT) Full text and rfc822 format available.

Message #40 received at 638263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Jonas Wagner <j.b.w@gmx.ch>, 638263@bugs.debian.org
Subject: Re: Bug#638263: Affects debian live
Date: Thu, 29 Mar 2012 22:08:32 +0100
* Jonas Wagner <j.b.w@gmx.ch> [2012-02-26 18:15]:
> this bug also affects debian live -- the usage message from grpck is
> shown during boot.

For the record: I also see this in Debian installer.

Mar 29 21:05:07 user-setup: Usage: grpck [options] [group [gshadow]]
Mar 29 21:05:07 user-setup: 
Mar 29 21:05:07 user-setup: Options:
Mar 29 21:05:07 user-setup:   -h, --help                    display this help message and exit
Mar 29 21:05:07 user-setup:   -r, --read-only               display errors and warnings
Mar 29 21:05:07 user-setup:                                 but do not change files
Mar 29 21:05:07 user-setup:   -R, --root CHROOT_DIR         directory to chroot into
Mar 29 21:05:07 user-setup:   -s, --sort                    sort entries by UID
Mar 29 21:05:07 user-setup: 

This is because user-support calls "shadowconfig on" in the target.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Tue, 24 Apr 2012 12:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Tue, 24 Apr 2012 12:39:19 GMT) Full text and rfc822 format available.

Message #45 received at 638263@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 638263@bugs.debian.org
Subject: Re: Bug#638263: Affects debian live
Date: Tue, 24 Apr 2012 14:37:15 +0200
[Message part 1 (text/plain, inline)]
* Martin Michlmayr [Don Mär 29, 2012 at 10:08:32 +0100]:
> * Jonas Wagner <j.b.w@gmx.ch> [2012-02-26 18:15]:

> > this bug also affects debian live -- the usage message from grpck is
> > shown during boot.

> For the record: I also see this in Debian installer.

> Mar 29 21:05:07 user-setup: Usage: grpck [options] [group [gshadow]]
> Mar 29 21:05:07 user-setup: 
> Mar 29 21:05:07 user-setup: Options:
> Mar 29 21:05:07 user-setup:   -h, --help                    display this help message and exit
> Mar 29 21:05:07 user-setup:   -r, --read-only               display errors and warnings
> Mar 29 21:05:07 user-setup:                                 but do not change files
> Mar 29 21:05:07 user-setup:   -R, --root CHROOT_DIR         directory to chroot into
> Mar 29 21:05:07 user-setup:   -s, --sort                    sort entries by UID
> Mar 29 21:05:07 user-setup: 

> This is because user-support calls "shadowconfig on" in the target.

This bug is still present, any news from the maintainers?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Tue, 24 Apr 2012 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Tue, 24 Apr 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #50 received at 638263@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Michael Prokop <mika@debian.org>, 638263@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: [Pkg-shadow-devel] Bug#638263: Affects debian live
Date: Tue, 24 Apr 2012 18:24:55 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Prokop (mika@debian.org):

> > This is because user-support calls "shadowconfig on" in the target.
> 
> This bug is still present, any news from the maintainers?


Just like a few other shadow bug, I'm waiting for some sign of life
from Nicolas François.... I can't fix such bugs myself.

Of course, patches are welcome but you guessed that.:)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#638263; Package passwd. (Sun, 06 May 2012 11:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. (Sun, 06 May 2012 11:27:18 GMT) Full text and rfc822 format available.

Message #55 received at 638263@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: 638263@bugs.debian.org
Subject: breaks lxc
Date: Sun, 06 May 2012 13:25:35 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This problem breaks lxc for me. It would be very nice
if it could be fixed.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+mX68ACgkQUTlbRTxpHjd+RwCbBNMZgDZFC5Lbf/hYfXkp6AnB
gpwAn1AwB/csjsqr9AFeDo1BrkYqqx7Z
=L3gZ
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net> to control@bugs.debian.org. (Fri, 18 May 2012 19:03:20 GMT) Full text and rfc822 format available.

Merged 638263 669185 Request was from Nicolas François <nicolas.francois@centraliens.net> to control@bugs.debian.org. (Sun, 20 May 2012 10:37:05 GMT) Full text and rfc822 format available.

Reply sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
You have taken responsibility. (Fri, 25 May 2012 21:06:07 GMT) Full text and rfc822 format available.

Notification sent to "Thomas Bushnell, BSG" <tb@becket.net>:
Bug acknowledged by developer. (Fri, 25 May 2012 21:06:07 GMT) Full text and rfc822 format available.

Message #64 received at 638263-close@bugs.debian.org (full text, mbox):

From: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
To: 638263-close@bugs.debian.org
Subject: Bug#638263: fixed in shadow 1:4.1.5.1-1
Date: Fri, 25 May 2012 21:04:42 +0000
Source: shadow
Source-Version: 1:4.1.5.1-1

We believe that the bug you reported is fixed in the latest version of
shadow, which is due to be installed in the Debian FTP archive:

login_4.1.5.1-1_powerpc.deb
  to main/s/shadow/login_4.1.5.1-1_powerpc.deb
passwd_4.1.5.1-1_powerpc.deb
  to main/s/shadow/passwd_4.1.5.1-1_powerpc.deb
shadow_4.1.5.1-1.diff.gz
  to main/s/shadow/shadow_4.1.5.1-1.diff.gz
shadow_4.1.5.1-1.dsc
  to main/s/shadow/shadow_4.1.5.1-1.dsc
shadow_4.1.5.1.orig.tar.gz
  to main/s/shadow/shadow_4.1.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net> (supplier of updated shadow package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 May 2012 15:42:01 +0200
Source: shadow
Binary: passwd login
Architecture: source powerpc
Version: 1:4.1.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Changed-By: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Description: 
 login      - system login tools
 passwd     - change and administer password and group data
Closes: 638263 659957 660406 661025 661802 668880 669698 673234
Changes: 
 shadow (1:4.1.5.1-1) unstable; urgency=low
 .
   * The "Gruyère" release.
 .
   [ Nicolas FRANCOIS (Nekral) ]
   * New upstream release:
     - login: log into utmp(x) but not into wtmp (this is done by pam_lastlog).
       Log to utmp(x) was broken by the fix for #605329. Closes: 659957
     - userdel: Fix segfault when userdel removes the user's group.
       Closes: #660406
     - manpages: .so links point to paths relative to the top-level manual
       hierarchy. Closes: #661025
     - useradd(8): Return code 13 no more documented. Closes: #661802
   * debian/patches/series, debian/patches/428_grpck_add_prune_option: Removed.
     The -p option was not documented and was meant to fix consequences of a
     bug now fixed more than 10 years ago.
   * debian/shadowconfig.sh: Display issues, but dot not prompt interactively
     to fix passwd/group/shadow/gshadow issues. Closes: #638263
   * debian/control: Bump Standards-Version to 3.9.3 (no changes needed).
   * debian/rules: Simplify setting of hardening flags. cdbs 0.4.103 needed to
     get hardened version of shadow-utils. Restore previous requirement on
     dpkg-dev to 1.13.5.
 .
   [ Christian Perrier ]
   * Complete Polish translation of logoutd(8). Closes: #668880
   * German translation of manpages completed. Closes: #673234
 .
   [ Roger Leigh ]
   * Separation of static and dynamic motd components in login PAM module
     Closes: #669698
Checksums-Sha1: 
 3248bf404314afb1d79bf6585485343d0dbc038c 1584 shadow_4.1.5.1-1.dsc
 6e4de75de58405d21b0377b926ae770afccd95bc 3508077 shadow_4.1.5.1.orig.tar.gz
 cda4141f55fb2649d3c8b1a405de83ca6ca44f26 79779 shadow_4.1.5.1-1.diff.gz
 5c5231dd04c4d456425fbdae4e10f730e66f17f6 1192792 passwd_4.1.5.1-1_powerpc.deb
 e04ebf74a04b076837d8a77d9a247259bb535a72 976120 login_4.1.5.1-1_powerpc.deb
Checksums-Sha256: 
 8d3f1fa46e651e8f37165731e00625f0e93f18d176bc9ece186e1fb7a852ac19 1584 shadow_4.1.5.1-1.dsc
 ee1986c5fec9f6e7868bcc5329874a72dec74897b598d86eb0532f79471f32f0 3508077 shadow_4.1.5.1.orig.tar.gz
 eaa68406d035d9e844e9513c57cf172331c16ae1f5824d8a15a75099bdc24d2c 79779 shadow_4.1.5.1-1.diff.gz
 e0f3d4cb84d0fb849a9689a183caaf8efea9030110c487ec96a333dfea2e040c 1192792 passwd_4.1.5.1-1_powerpc.deb
 a9d3aa632b62e9e16514afc327c816e068ffe513cf8b3fd0ac506409bece4613 976120 login_4.1.5.1-1_powerpc.deb
Files: 
 1c927e5de4c82f75f7e762a75c5ca0a1 1584 admin required shadow_4.1.5.1-1.dsc
 ae66de9953f840fb3a97f6148bc39a30 3508077 admin required shadow_4.1.5.1.orig.tar.gz
 2560844152b92a91570305824a3962c6 79779 admin required shadow_4.1.5.1-1.diff.gz
 b132f9568acc3db5a91833fde2ee38d8 1192792 admin required passwd_4.1.5.1-1_powerpc.deb
 20db0b35b1344dec94250053add368b8 976120 admin required login_4.1.5.1-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+/7PIACgkQWgo5mup89a3rZQCdFpUDDe+O/Lqambr25mR1EJnl
MGUAmwfWycJkmP5adqCJbia6YaNs7EHh
=3g6z
-----END PGP SIGNATURE-----





Reply sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
You have taken responsibility. (Fri, 25 May 2012 21:06:08 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Fri, 25 May 2012 21:06:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:40:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:13:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.